---
title: "List all Policies."
slug: "list-all-policies-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/list-all-policies-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# List all Policies.
Get/policies
List all Policies visible to current user.
SecurityHTTPType bearer
Query parametersquerystring
Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.
rangestring
'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'
Example0-10
orderBystring
The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.
Examplename
descendingstring
Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.
filterBy
Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.
object property*string additionalProperties
Example{
"name": "us-east",
"tags": "aws"
}
Responses200
List of Policies.
Expand Allobject rangestring
The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.
Example0-30/54
orderBystring
The field name used to sort the list.
Examplename
descendingboolean
Whether the sorting is applied descending or ascending.
queries Array of string
The queries applied to the list.
string
totalCountinteger
The total readable count of entities. Not influenced by the query.
Example328
filterBy Array of object (FilterBy)
The filters applied to the list.
object namestring
The field name the filter is applied to.
Examplename
valuestring
The value used for comparison.
ExampleAWS
data Array of object (Policy)
List of Policies.
object idstring (uuid)
ID of the object.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring
Name of the object.
Exampleobject
notesstring
Notes for the object. Used for documentation purposes.
ExampleThis object has been created for test purposes.
createdstring (date-time)
Create date.
updatedstring (date-time)
Last update date.
tags Array of string
Array of tags.
Example[
"developer",
"api-created"
]string
disabledboolean
If true, the Policy will be disregarded during authorization.
Defaultfalse
expressionstring
A JavaScript expression that returns boolean. Criteria Scripts may be used by calling them as functions.
Examplevar result = false;
if/*claims.user.groups*/(claims.user.groups && claims.user.groups.indexOf("developers") >= 0)/*end claims.user.groups*/ { return true; }
if/*criteriaScript*/(admins(claims))/*end criteriaScript*/ { return true; }
return result;
typestring
Type of the Policy. The assigned type will be enforced by not allowing enabling other types of features on the Policy.
Valid values[
"Access",
"Device",
"Dns",
"Admin",
"Mixed",
"Stop"
]Default"Mixed"
entitlements Array of string
List of Entitlement IDs in this Policy.
string (uuid) Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
entitlementLinks Array of string
List of Entitlement tags in this Policy.
string Exampledeveloper
ringfenceRules Array of string
List of Ringfence Rule IDs in this Policy.
string (uuid) Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
ringfenceRuleLinks Array of string
List of Ringfence Rule tags in this Policy.
string Exampledeveloper
tamperProofingboolean
Will enable Tamper Proofing on desktop clients which will make sure the routes and ringfence configurations are not changed. Will be set to true if it's not provided and the type is "Device".
overrideSitestring (uuid)
Site ID where all the Entitlements of this Policy must be deployed. This overrides Entitlement's own Site and to be used only in specific network layouts. Otherwise the assigned site on individual Entitlements will be used.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
overrideSiteClaimstring
The path of a claim that contains the UUID of an override site. It should be defined as "claims.xxx.xxx" or "claims.xxx.xxx.xxx".
Exampleclaims.user.overrideSite
overrideNearestSiteboolean
Overrides the Entitlements Site according to location of the client and Sites where this feature is enabled.
applyFallbackSiteboolean
The Entitlements in this Policy will be available in the fallback Sites if the corresponding Sites are configured accordingly.
blockLocalDnsRequestsboolean
Whether the Windows Client will block local DNS requests or not.
Defaultfalse
proxyAutoConfigobject
Client configures PAC URL on the client OS.
enabledboolean Defaultfalse
urlstring
The URL to set on the Client OS.
Examplehttps://pac.company.com/file.pac
persistboolean
If true Client will leave the PAC URL configured after signing out.
trustedNetworkCheckobject
Client suspends operations when it's in a trusted network.
enabledboolean Defaultfalse
dnsSuffixstring
Client checks if the DNS suffix has been configured on the OS to decide whether it's on a trusted network or not.
dnsSettings Array of object
List of domain names with DNS server IPs that the Client should be using.
object
A domain name and a list of DNS servers.
domainstring
The domain for which the DNS servers should be used by the client.
ExampleDefault
servers Array of string string
The DNS servers to use for the domain.
Example192.168.1.22
registerTunIpsToActiveDirectoryboolean
Enables a Windows feature to register Appgate TUN IPs to the Active Directory for this domain.
clientSettingsobject
Settings that admins can apply to the Client.
enabledboolean
Enable Client Settings for this Policy.
Defaultfalse
entitlementsListstring
Show or hide Entitlement List on Client UI.
Valid values[
"Show",
"Hide"
]
attentionLevelstring
Set the Attention Level automatically on Client and hide the option. "Show" will leave option to the user.
Valid values[
"Show",
"Low",
"Medium",
"High"
]
autoStartstring
Set the Autostart setting automatically on Client and hide the option. "Show" will leave option to the user.
Valid values[
"Show",
"Enabled",
"Disabled"
]
addRemoveProfilesstring
Allow adding and removing profiles on Client.
Valid values[
"Show",
"Hide"
]
keepMeSignedInstring
Set the "Keep me signed-in" setting for credential providers automatically on Client and hide the option. "Show" will leave option to the user.
Valid values[
"Show",
"Enabled",
"Disabled"
]
samlAutoSignInstring
Set the "SAML/Certificate auto sign-in" setting automatically on Client and hide the option. "Show" will leave option the user.
Valid values[
"Show",
"Enabled",
"Disabled"
]
quitstring
Show or hide "Quit" on Client UI.
Valid values[
"Show",
"Hide"
]
signOutstring
Show or hide "Sign out" on Client UI.
Valid values[
"Show",
"Hide"
]
suspendstring
Show or hide "Suspend" feature on Client UI.
Valid values[
"Show",
"Hide"
]
newUserOnboardingstring
Show or hide the tooltips for new users on Client UI as well as the arrival messages on Portal. As of 6.4, Client has no longer tooltips so this setting only affects the arrival messages on Portal.
Valid values[
"Show",
"Hide"
]
clientProfileSettingsobject
Profiles that admins can apply to the Client.
enabledboolean
Enable Client Profile Settings for this Policy.
profiles Array of string
List of profiles.
string (uuid) Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
forceboolean
Makes the client skip the user prompt and apply the profiles immediately. Required to be true to apply the settings when authorization fails, such as in case of Stop Policies.
Defaultfalse
customClientHelpUrlstring
Set custom help URL on Client UI.
Examplehttps://support.appgate.com/docs/welcome-vx-x
administrativeRoles Array of string
List of Administrative Role IDs in this Policy.
string (uuid) Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
401
Token error. Login again.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.